Skip to navigation

Get Attachment by ID

Beta
Get a single Attachment by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

attachment_idstringRequired
ID of the Attachment.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
createdAtstringOptional
creatorobject or nullOptional
downloadUrlstring or nullOptional

A pre-signed download URL. The URL may be null if the file did not upload successfully.

idstringOptional
mimeTypestringOptional

The MIME type of the file, e.g. ‘image/jpeg’

namestringOptional
uploadStatusenumOptional
Whether the attachment uploaded successfully, failed to upload or is still uploading.
Allowed values:

Errors

400
Attachment Get Request Bad Request Error
403
Attachment Get Request Forbidden Error
404
Attachment Get Request Not Found Error
429
Attachment Get Request Too Many Requests Error
500
Attachment Get Request Internal Server Error